<?php

// content width
	if ( ! isset( $content_width ) ) {
	$content_width = 1170;
	}

// Setup
if ( ! function_exists( 'quickstrap_setup' ) ) :
function quickstrap_setup() {

	// Register menus
	register_nav_menus( array(
	'header-nav' => 'Header Menu',
	'footer-nav' => 'Footer Menu',
	) );

	// add title tag
	add_theme_support( 'title-tag' );

	// add text domain
	load_theme_textdomain( 'quickstrap', get_template_directory() . '/languages' );

	// Custom Background
	add_theme_support( 'custom-background', apply_filters( 'quickstrap_custom_background_args', array(
		'default-color' => 'ffffff',
		'default-image' => '',
	) ) );

	// post thumbnails
	add_theme_support('post-thumbnails');


	// feed links
	add_theme_support('automatic-feed-links');
}
endif; // quickstrap_setup
add_action( 'after_setup_theme', 'quickstrap_setup' );



// Register our sidebars and widgetized areas
function quickstrap_widgets_init() {

	register_sidebar( array(
		'name' => 'Right Sidebar 1 (Blue)',
		'id' => 'right-sidebar-1', 
		'before_widget' => '<div class="panel panel-default">',
		'after_widget' => '</div></div>',
		'before_title' => '<h4 class="sidebar-title panel-heading">',
		'after_title' => '</h4><div class="panel-body">',
	) );

	register_sidebar( array(
		'name' => 'Right Sidebar 2 (Green)',
		'id' => 'right-sidebar-2',
		'before_widget' => '<div class="panel panel-default">',
		'after_widget' => '</div></div>',
		'before_title' => '<h4 class="sidebar-title panel-heading">',
		'after_title' => '</h4><div class="panel-body">',
	) );
	register_sidebar( array(
		'name' => 'Right Sidebar 3 (Yellow)',
		'id' => 'right-sidebar-3',
		'before_widget' => '<div class="panel panel-default">',
		'after_widget' => '</div></div>',
		'before_title' => '<h4 class="sidebar-title panel-heading">',
		'after_title' => '</h4><div class="panel-body">',
	) );
	register_sidebar( array(
		'name' => 'Right Sidebar 4 (Pink)',
		'id' => 'right-sidebar-4',
		'before_widget' => '<div class="panel panel-default">',
		'after_widget' => '</div></div>',
		'before_title' => '<h4 class="sidebar-title panel-heading">',
		'after_title' => '</h4><div class="panel-body">',
	) );
	register_sidebar( array(
		'name' => 'Right Sidebar 5 (Default)',
		'id' => 'right-sidebar-5',
		'before_widget' => '<div class="panel panel-default">',
		'after_widget' => '</div></div>',
		'before_title' => '<h4 class="sidebar-title panel-heading">',
		'after_title' => '</h4><div class="panel-body">',
	) );
	register_sidebar( array(
		'name' => 'Right Sidebar 6 (Clear)',
		'id' => 'right-sidebar-6',
		'before_widget' => '<div class="">',
		'after_widget' => '</p></div>',
		'before_title' => '<h4 class="sidebar-title">',
		'after_title' => '</h4><p>',
	) );
	register_sidebar( array(
		'name' => 'Left Sidebar 1 (Blue)',
		'description' => 'Hidden on small screens',
		'id' => 'left-sidebar-1',
		'before_widget' => '<div class="panel panel-default">',
		'after_widget' => '</div></div>',
		'before_title' => '<h4 class="sidebar-title panel-heading">',
		'after_title' => '</h4><div class="panel-body">',
	) );

	register_sidebar( array(
		'name' => 'Left Sidebar 2 (Green)',
		'description' => 'Hidden on small screens',
		'id' => 'left-sidebar-2',
		'before_widget' => '<div class="panel panel-default">',
		'after_widget' => '</div></div>',
		'before_title' => '<h4 class="sidebar-title panel-heading">',
		'after_title' => '</h4><div class="panel-body">',
	) );
	register_sidebar( array(
		'name' => 'Left Sidebar 3 (Yellow)',
		'description' => 'Hidden on small screens',
		'id' => 'left-sidebar-3',
		'before_widget' => '<div class="panel panel-default">',
		'after_widget' => '</div></div>',
		'before_title' => '<h4 class="sidebar-title panel-heading">',
		'after_title' => '</h4><div class="panel-body">',
	) );
	register_sidebar( array(
		'name' => 'Left Sidebar 4 (Pink)',
		'description' => 'Hidden on small screens',
		'id' => 'left-sidebar-4',
		'before_widget' => '<div class="panel panel-default">',
		'after_widget' => '</div></div>',
		'before_title' => '<h4 class="sidebar-title panel-heading">',
		'after_title' => '</h4><div class="panel-body">',
	) );
	register_sidebar( array(
		'name' => 'Left Sidebar 5 (Default)',
		'description' => 'Hidden on small screens',
		'id' => 'left-sidebar-5',
		'before_widget' => '<div class="panel panel-default">',
		'after_widget' => '</div></div>',
		'before_title' => '<h4 class="sidebar-title panel-heading">',
		'after_title' => '</h4><div class="panel-body">',
	) );
	register_sidebar( array(
		'name' => 'Left Sidebar 6 (Clear)',
		'description' => 'Hidden on small screens',
		'id' => 'left-sidebar-6',
		'before_widget' => '<div class="">',
		'after_widget' => '</p></div>',
		'before_title' => '<h4 class="sidebar-title">',
		'after_title' => '</h4><p>',
	) );
	register_sidebar( array(
		'name' => 'Footer Column 1',
		'id' => 'footer-1',
		'before_widget' => '<div class="panel panel-default">',
		'after_widget' => '</div></div>',
		'before_title' => '<h4 class="sidebar-title panel-heading">',
		'after_title' => '</h4><div class="panel-body">',
	) );
	register_sidebar( array(
		'name' => 'Footer Column 2',
		'id' => 'footer-2',
		'before_widget' => '<div class="panel panel-default">',
		'after_widget' => '</div></div>',
		'before_title' => '<h4 class="sidebar-title panel-heading">',
		'after_title' => '</h4><div class="panel-body">',
	) );
	register_sidebar( array(
		'name' => 'Footer Column 3',
		'id' => 'footer-3',
		'before_widget' => '<div class="panel panel-default">',
		'after_widget' => '</div></div>',
		'before_title' => '<h4 class="sidebar-title panel-heading">',
		'after_title' => '</h4><div class="panel-body">',
	) );
	register_sidebar( array(
		'name' => 'Top of Post',
		'id' => 'top-post',
		'before_widget' => '<div>',
		'after_widget' => '</div>',
		'before_title' => '<h4 class="sidebar-title">',
		'after_title' => '</h4>',
	) );
	register_sidebar( array(
		'name' => 'Bottom of Post',
		'id' => 'bottom-post',
		'before_widget' => '<div>',
		'after_widget' => '</div>',
		'before_title' => '<h4 class="sidebar-title">',
		'after_title' => '</h4>',
	) );
	
}
add_action( 'widgets_init', 'quickstrap_widgets_init' );

// add editor style
	function quickstrap_add_editor_styles() {
 	add_editor_style( 'custom-editor-style.css' );
	}
	add_action( 'admin_init', 'quickstrap_add_editor_styles' );

// read more
function quickstrap_excerpt_more( $more ) {
	return ' &bull;  <a class="read-more" href="'. get_permalink( get_the_ID() ) . '">' . __(' Далее &raquo;', 'quickstrap') . '</a>'; 
	}
	add_filter( 'excerpt_more', 'quickstrap_excerpt_more' );


// credits
function quickstrap_credits() {
    echo '<p class="text-center">
	При поддержке <a href="http://lev-tour.com/" title="QuickStrap Theme" rel="nofollow" >http://lev-tour.com/</a>
	</p>';
	}
	add_action('wp_footer', 'quickstrap_credits');

// load javascript
	function quickstrap_scripts() {
	wp_enqueue_style( 'quickstrap', get_stylesheet_uri() );
	wp_enqueue_style( 'quickstrap-bootstrap', 
			get_template_directory_uri() . '/css/bootstrap.min.css', 
			array(), 
			'3.3.4'
			);
	wp_enqueue_style( 'quickstrap-fontawesome', 
			get_template_directory_uri() . '/font-awesome/css/font-awesome.min.css', 
			array(), 
			'4.2.0'
			);
	wp_enqueue_script( 'quickstrap-bootstrap', 
			get_template_directory_uri() . '/js/bootstrap.min.js', 
			array('jquery'), 
			'3.3.1', 
			true
			);
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ){
        wp_enqueue_script( 'comment-reply' );
    	}
	}
	add_action( 'wp_enqueue_scripts', 'quickstrap_scripts' );
?>